Subject: Re: bug#24417: 25.1; Emacs crashes during gc

From: Sudarshan Gaikaiwari <[email-masked]>
Date: Thu, 29 Sep 2016 11:11:16 -0500

I have reopened the gdb session with

coredumpctl gdb /usr/local/bin/emacs-25.1

Please let me know the variables whose values I should report.

On Thu, Sep 29, 2016 at 10:47 AM, Eli Zaretskii <[email-masked]> wrote:
>> From: Sudarshan Gaikaiwari <[email-masked]>
>> Date: Wed, 28 Sep 2016 19:50:42 -0500
>> Cc: [email-masked]
>>
>> y emacs process crashed again. I was running a debug build as part of
>> bug#24417. The back trace indicates that the sefault is in a different
>> module. Please let me know if I should file a new bug instead of
>> updating this one.
>> I was trying to run rgrep when this crash occured. The emacs build is
>> of RC2 and not
>> the latest release.
>
> This crash looks differently, but I'm not yet sure if it's a separate
> problem, so let's keep them together for now.
>
> Is this debugging session still alive?  If so, I'd like to ask you to
> report values of some relevant variables.
>
> What seems to have happened here is that Emacs was going to report an
> error by starting the Lisp debugger.  Then, while redrawing the
> display triggered by that, some font-lock construct caused the display
> engine to call a Lisp function, which eventually called
> re-search-forward, and that segfaulted because it got an invalid
> string pointer.
>
> It would be good to know what was the error Emacs wanted to report,
> and what function was invoked from redisplay that caused the crash.

-- 

Sudarshan Gaikaiwari
www.sudarshan.org
[email-masked]